diff options
author | Jeffrey Wilcke <obscuren@users.noreply.github.com> | 2014-11-22 02:22:14 +0800 |
---|---|---|
committer | Jeffrey Wilcke <obscuren@users.noreply.github.com> | 2014-11-22 02:22:14 +0800 |
commit | 4cd9d57bad95a8c2266ed9d33e9723631da0626f (patch) | |
tree | 0c3b37a486a9cf50c892d84f89adc7f06d37f0af | |
parent | cad770c73412c4b27d00c98ae3c531b9d1bcc091 (diff) | |
parent | 28b7dcc2041dfa945dc762f73f2524036517f328 (diff) | |
download | go-tangerine-4cd9d57bad95a8c2266ed9d33e9723631da0626f.tar.gz go-tangerine-4cd9d57bad95a8c2266ed9d33e9723631da0626f.tar.zst go-tangerine-4cd9d57bad95a8c2266ed9d33e9723631da0626f.zip |
Merge pull request #187 from honestmoney/develop
Fix for broken develop build and install.sh
-rw-r--r-- | cmd/ethereum/main.go | 2 | ||||
-rwxr-xr-x | install.sh | 41 |
2 files changed, 23 insertions, 20 deletions
diff --git a/cmd/ethereum/main.go b/cmd/ethereum/main.go index ed42dfafb..88549b30a 100644 --- a/cmd/ethereum/main.go +++ b/cmd/ethereum/main.go @@ -93,7 +93,7 @@ func main() { os.Exit(1) } - fmt.Printf("RLP: %x\nstate: %x\nhash: %x\n", ethutil.Rlp(block), block.GetRoot(), block.Hash()) + fmt.Printf("RLP: %x\nstate: %x\nhash: %x\n", ethutil.Rlp(block), block.Root(), block.Hash()) // Leave the Println. This needs clean output for piping fmt.Printf("%s\n", block.State().Dump()) diff --git a/install.sh b/install.sh index f6232af83..30a3802e4 100755 --- a/install.sh +++ b/install.sh @@ -1,15 +1,20 @@ #!/bin/sh if [ "$1" == "" ]; then - echo "Usage $0 executable branch ethereum develop" - echo "executable ethereum or mist" - echo "branch develop or master" + echo "Usage $0 executable branch" + echo "executable ethereum | mist" + echo "branch develop | master" exit fi exe=$1 +path=$exe branch=$2 +if [ "$branch" == "develop" ]; then + path="cmd/$exe" +fi + # Test if go is installed command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; } @@ -19,20 +24,23 @@ if [ "$GOPATH" == "" ]; then exit fi -echo "go get -u -d github.com/ethereum/go-ethereum/$exe" -go get -v -u -d github.com/ethereum/go-ethereum/$exe -if [ $? != 0 ]; then - echo "go get failed" - exit -fi - -echo "eth-go" +echo "changing branch to $branch" cd $GOPATH/src/github.com/ethereum/go-ethereum git checkout $branch -echo "go-ethereum" -cd $GOPATH/src/github.com/ethereum/go-ethereum/$exe -git checkout $branch +# installing package dependencies doesn't work for develop +# branch as go get always pulls from master head +# so build will continue to fail, but this installs locally +# for people who git clone since go install will manage deps + +#echo "go get -u -d github.com/ethereum/go-ethereum/$path" +#go get -v -u -d github.com/ethereum/go-ethereum/$path +#if [ $? != 0 ]; then +# echo "go get failed" +# exit +#fi + +cd $GOPATH/src/github.com/ethereum/go-ethereum/$path if [ "$exe" == "mist" ]; then echo "Building Mist GUI. Assuming Qt is installed. If this step" @@ -42,9 +50,4 @@ else fi go install -if [ $? == 0 ]; then - echo "go install failed" - exit -fi - echo "done. Please run $exe :-)" |